#
# spec file for package affenspiel (Version 1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xdevel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel

Name:         affenspiel
Copyright:    GPL
Group:        X11/Games
Autoreqprov:  on
Version:      1.0
Release:      1
Source:       affenspiel-1.0.tar.bz2
URL:          ftp://ftp.ac-grenoble.fr/ge/educational_games/affenspiel-1.0.tgz
BuildRoot:    %{_tmppath}/%{name}-build
Summary:      15-puzzle like puzzle

%description
Shift the puzzle pieces around so that the monkey becomes complete,
that means, move the big piece through the other pieces to the
bottom of the playfield, so that the monkey picture gets complete.

Authors:
--------
    Holger Schemel

%prep
%setup -n %{name}

%build
make

%install
install -d %{_tmppath}/%{name}-build/%{_prefix}/games/bin/
cp affenspiel %{_tmppath}/%{name}-build/%{_prefix}/games/bin/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%{_prefix}/games/bin/affenspiel
%doc README

%changelog -n affenspiel
* Mon Oct 29 2001 - tcrhak@suse.cz
- fixed neededforbuild
* Fri Oct 26 2001 - tcrhak@suse.cz
- New package: initial version 1.0
